> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Contacts

Search for contacts in ZoomInfo's data by name, company, title, and other criteria.

**Note**: This action does not return emails, phone numbers, or any other data that can be used to contact the people in the results. To get that data, use the `Enrich Contact` action with the `id` values returned here.

> [!NOTE]
>
> External Documentation
>
> To learn more, visit the [ZoomInfo documentation](https://docs.gtm.ai/reference/searchinterface_searchcontact).

## Basic Parameters

| Parameter | Description |
| - | - |
| Company ID | A comma-separated list of unique ZoomInfo identifiers for the companies the contacts work for. |
| Company Name | The name of the company the contact works for. |
| Company Website | A comma-separated list of company website URLs, in `http://www.example.com` format. |
| Country | The country of the company's address. |
| Department | A comma-separated list of departments to filter results by. |
| Email Address | A comma-separated list of email addresses to search for, in `example@example.com` format. |
| Employee Count | A comma-separated list of employee count ranges to filter results by. |
| Exact Job Title | The contact's exact title, with no related or synonymous titles included in the results. Use a comma-separated list to match any of multiple titles. Parentheses are permitted here, unlike `Job Title`. |
| First Name | The first name of the contact. |
| Full Name | The full name of the contact. |
| Job Function | A comma-separated list of job functions to filter results by. |
| Job Title | The contact's title at their current place of employment. Use a comma-separated list to match any of multiple titles. Only letters, numbers, whitespace, and the characters `+&,./'-"` are allowed. Parentheses are not permitted; use `Exact Job Title` if parentheses are required. |
| Last Name | The last name of the contact. |
| Management Level | Select the management levels to filter results by. |
| Page Number | The page of results to retrieve. If not provided, the first page of results is returned. |
| Page Size | The number of records to return per page. Values can range from `1` to `100`. If not provided, the default is `25`. |
| Person ID | A comma-separated list of unique ZoomInfo identifiers for the contacts to search for. |
| Phone | A comma-separated list of direct or mobile phone numbers to search for. |
| Return All Pages | Automatically fetch all resources, page by page. |
| Revenue | A comma-separated list of annual revenue ranges, in U.S. dollars, to filter results by. |
| Sort | Select the field to sort results by, and whether to sort ascending or descending. If not provided, results are sorted by relevance, descending. |
| State | The U.S. state or Canadian province of the company's address. |
| Zip Code | The zip code or postal code of the company's address. |

## Advanced Parameters

| Parameter | Description |
| - | - |
| Additional Parameters | A JSON object for additional body parameters. Values specified in this parameter will override equivalent parameters. For example: <pre>`{    "first_key": 12345,    "second_key": "some_value"}`</pre>The object must follow the vendor's structure as defined in the [API documentation](https://docs.gtm.ai/reference/searchinterface_searchcontact). |
| Address | The full address of the company. |
| Board Member | Select whether to include or only include board members in the results. By default, board members are excluded from the results. |
| Company Past Or Present | Select whether to search the contact's present company, past companies, or both. If not provided, only the present company is searched. |
| Company Ticker | A comma-separated list of company stock ticker symbols. |
| Company Type | Select the types of companies to filter results by. |
| Exclude Job Title | A comma-separated list of job titles to exclude from the results. |
| Exclude Management Level | Select the management levels to exclude from the results. |
| Exclude Partial Profiles | Select to include partial profiles in the results. A contact is a partial profile when they do not have an active company associated with them. By default, partial profiles are excluded. |
| Executives Only | Select to only include executives in the results. |
| Has Been Notified | Select whether to include, exclude, or only include contacts who have been notified of their inclusion in ZoomInfo's database. If not provided, notified contacts are included. |
| Hashed Email | A hashed email value for the contact. Allows searching by email without exposing it. Supported hash algorithms are `MD5`, `SHA1`, `SHA256`, and `SHA512`. |
| Industry Codes | A comma-separated list of top-level industry codes the contact's company belongs to. |
| Industry Keywords | Industry keywords associated with the company. Combine terms with `AND` or `OR`. **For example:** `software AND security` or `software OR security`. |
| Last Updated Date After | Limit results to contacts whose profile was last updated after this date. |
| Maximum Contact Accuracy Score | The maximum accuracy score for results. Values can range from `70` to `99`. |
| Maximum Employee Range | The maximum employee count for the company. Use with `Minimum Employee Range` to set a range. |
| Maximum Revenue | The maximum annual revenue for the company, in thousands of U.S. dollars. Use with `Minimum Revenue` to set a range. |
| Middle Initial | The middle initial of the contact. |
| Minimum Contact Accuracy Score | The minimum accuracy score for results, indicating the likelihood that a contact is reachable and still employed by the listed company. Values can range from `70` to `99`. |
| Minimum Employee Range | The minimum employee count for the company. Use with `Maximum Employee Range` to set a range. |
| Minimum Revenue | The minimum annual revenue for the company, in thousands of U.S. dollars. Use with `Maximum Revenue` to set a range. |
| Required Fields | Select the fields that must be present for a contact to be included in the results. |
| Street | The street portion of the company's address. |
| Supplemental Email | A comma-separated list of supplemental email addresses for the contact. |
| Valid Date After | Limit results to contacts whose profile was last validated after this date. |
| Years Of Experience | Select the total years of experience ranges to filter results by. |

## Example Output

```json theme={"dark"}
{
	"data": [
		{
			"id": "4191419698",
			"type": "Contact",
			"attributes": {
				"firstName": "Filip",
				"lastName": "Popovic",
				"jobTitle": "Chief Technology Officer",
				"contactAccuracyScore": 95,
				"company": {
					"id": 344589814,
					"name": "ZoomInfo"
				},
				"hasEmail": true,
				"hasDirectPhone": false,
				"hasMobilePhone": true,
				"lastUpdatedDate": "2025-04-04T18:13:00Z",
				"validDate": "2024-11-14T22:29:00Z"
			}
		}
	],
	"links": {
		"first": "/data/v1/contacts/search?page[number]=1&page[size]=25",
		"last": "/data/v1/contacts/search?page[number]=1&page[size]=25"
	},
	"meta": {
		"page": {
			"number": 1,
			"total": 1
		},
		"totalResults": 1
	}
}
```
